close
Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve container file

GET/containers/{container_id}/files/{file_id}

Retrieve Container File

Path ParametersExpand Collapse
container_id: string
file_id: string
ReturnsExpand Collapse
id: string

Unique identifier for the file.

bytes: number

Size of the file in bytes.

container_id: string

The container this file belongs to.

created_at: number

Unix timestamp (in seconds) when the file was created.

formatunixtime
object: string

The type of this object (container.file).

path: string

Path of the file in the container.

source: string

Source of the file (e.g., user, assistant).

Retrieve container file

curl https://api.openai.com/v1/containers/container_123/files/file_456 \
  -H "Authorization: Bearer $OPENAI_API_KEY"
{
    "id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
    "object": "container.file",
    "created_at": 1747848842,
    "bytes": 880,
    "container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
    "path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
    "source": "user"
}
Returns Examples
{
    "id": "cfile_682e0e8a43c88191a7978f477a09bdf5",
    "object": "container.file",
    "created_at": 1747848842,
    "bytes": 880,
    "container_id": "cntr_682e0e7318108198aa783fd921ff305e08e78805b9fdbb04",
    "path": "/mnt/data/88e12fa445d32636f190a0b33daed6cb-tsconfig.json",
    "source": "user"
}